
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef force_POSTER_LIB_H
#define force_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "forceType.h"
#include "forceError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[FORCE_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} FORCE_CNTRL_STR;

/* For consistency with other posters */
typedef FORCE_CNTRL_STR FORCE_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "forcePosterLibStruct.h"



/* Posters */
#define FORCE_CNTRL_POSTER_NAME genomInstanceSuffixName("force", "Cntrl")
#define FORCE_DETECTION_POSTER_NAME genomInstanceSuffixName("force", "Detection")
#define FORCE_MONITOR_POSTER_NAME genomInstanceSuffixName("force", "Monitor")
#define FORCE_FORCE_POSTER_NAME genomInstanceSuffixName("force", "Force")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS forcePosterInit ( void );
extern POSTER_ID forceCntrlPosterID ();
extern STATUS forceCntrlPosterRead ( FORCE_CNTRL_STR *forceCntrlStrId );
extern STATUS forceCntrlPosterInit ( void );
extern STATUS forceCntrlInstancePosterRead(const char *name, FORCE_CNTRL_STR *forceCntrlStrId);
extern STATUS forceDetectionPosterInit ( void );
extern POSTER_ID forceDetectionPosterID ( void );
extern STATUS forceDetectionPosterRead ( FORCE_DETECTION_POSTER_STR *x );
extern STATUS forceDetectionInstancePosterRead ( const char *, FORCE_DETECTION_POSTER_STR * );
extern STATUS forceDetectiondetectionPosterRead ( FORCE_DETECT_STR *detection );
extern STATUS forceDetectiondetectionInstancePosterRead( const char *, FORCE_DETECT_STR * );
extern STATUS forceMonitorPosterInit ( void );
extern POSTER_ID forceMonitorPosterID ( void );
extern STATUS forceMonitorPosterRead ( FORCE_MONITOR_POSTER_STR *x );
extern STATUS forceMonitorInstancePosterRead ( const char *, FORCE_MONITOR_POSTER_STR * );
extern STATUS forceMonitormonitorPosterRead ( FORCE_MONITOR_STR *monitor );
extern STATUS forceMonitormonitorInstancePosterRead( const char *, FORCE_MONITOR_STR * );
extern STATUS forceForcePosterInit ( void );
extern POSTER_ID forceForcePosterID ( void );
extern STATUS forceForcePosterRead ( FORCE_FORCE_POSTER_STR *x );
extern STATUS forceForceInstancePosterRead ( const char *, FORCE_FORCE_POSTER_STR * );
extern STATUS forceForceforcePosterRead ( Gb_force *force );
extern STATUS forceForceforceInstancePosterRead( const char *, Gb_force * );
#ifdef __cplusplus
}
#endif
#endif

