
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef FORCE_PRINTXML_H
#define FORCE_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */


#include "forcePosterLib.h"

/* Prototypes */
extern void printXML_struct_FORCE_FORCE_POSTER_STR ( FILE *out, char *name,
     struct FORCE_FORCE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_MONITOR_POSTER_STR ( FILE *out, char *name,
     struct FORCE_MONITOR_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_DETECTION_POSTER_STR ( FILE *out, char *name,
     struct FORCE_DETECTION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_STR ( FILE *out, char *name,
     struct FORCE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_MONITOR_STR ( FILE *out, char *name,
     struct FORCE_MONITOR_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_MONITOR_DATA_STR ( FILE *out, char *name,
     struct FORCE_MONITOR_DATA_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_DETECT_STR ( FILE *out, char *name,
     struct FORCE_DETECT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_FORCE_STATE_STR ( FILE *out, char *name,
     struct FORCE_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_jac7 ( FILE *out, char *name,
     struct Gb_jac7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_jac ( FILE *out, char *name,
     struct Gb_jac *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_Gb_statusMGI ( FILE *out, char *name,
     enum Gb_statusMGI *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_dataMGD ( FILE *out, char *name,
     struct Gb_dataMGD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_q7 ( FILE *out, char *name,
     struct Gb_q7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_q6 ( FILE *out, char *name,
     struct Gb_q6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_6rParameters ( FILE *out, char *name,
     struct Gb_6rParameters *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_quat ( FILE *out, char *name,
     struct Gb_quat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_m33 ( FILE *out, char *name,
     struct Gb_m33 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_dep ( FILE *out, char *name,
     struct Gb_dep *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_th ( FILE *out, char *name,
     struct Gb_th *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_v6 ( FILE *out, char *name,
     struct Gb_v6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_v3 ( FILE *out, char *name,
     struct Gb_v3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_force ( FILE *out, char *name,
     struct Gb_force *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_vitesse ( FILE *out, char *name,
     struct Gb_vitesse *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_objectMotion ( FILE *out, char *name,
     struct Gb_objectMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_objectPose ( FILE *out, char *name,
     struct Gb_objectPose *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_euler ( FILE *out, char *name,
     struct Gb_euler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_point3D ( FILE *out, char *name,
     struct Gb_point3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_point2D ( FILE *out, char *name,
     struct Gb_point2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_motionMat ( FILE *out, char *name,
     struct Gb_motionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Gb_thMat ( FILE *out, char *name,
     struct Gb_thMat *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_Gb_thMat ( FILE *out, char *name,
     Gb_thMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_motionMat ( FILE *out, char *name,
     Gb_motionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_point2D ( FILE *out, char *name,
     Gb_point2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_point3D ( FILE *out, char *name,
     Gb_point3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_euler ( FILE *out, char *name,
     Gb_euler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_objectPose ( FILE *out, char *name,
     Gb_objectPose *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_objectMotion ( FILE *out, char *name,
     Gb_objectMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_vitesse ( FILE *out, char *name,
     Gb_vitesse *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_force ( FILE *out, char *name,
     Gb_force *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_v3 ( FILE *out, char *name,
     Gb_v3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_v6 ( FILE *out, char *name,
     Gb_v6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_th ( FILE *out, char *name,
     Gb_th *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_dep ( FILE *out, char *name,
     Gb_dep *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_m33 ( FILE *out, char *name,
     Gb_m33 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_quat ( FILE *out, char *name,
     Gb_quat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_6rParameters ( FILE *out, char *name,
     Gb_6rParameters *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_q6 ( FILE *out, char *name,
     Gb_q6 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_q7 ( FILE *out, char *name,
     Gb_q7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_dataMGD ( FILE *out, char *name,
     Gb_dataMGD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_statusMGI ( FILE *out, char *name,
     Gb_statusMGI *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_jac ( FILE *out, char *name,
     Gb_jac *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Gb_jac7 ( FILE *out, char *name,
     Gb_jac7 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_STATE_STR ( FILE *out, char *name,
     FORCE_STATE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_DETECT_STR ( FILE *out, char *name,
     FORCE_DETECT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_MONITOR_DATA_STR ( FILE *out, char *name,
     FORCE_MONITOR_DATA_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_MONITOR_STR ( FILE *out, char *name,
     FORCE_MONITOR_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_STR ( FILE *out, char *name,
     FORCE_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_DETECTION_POSTER_STR ( FILE *out, char *name,
     FORCE_DETECTION_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_MONITOR_POSTER_STR ( FILE *out, char *name,
     FORCE_MONITOR_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_FORCE_FORCE_POSTER_STR ( FILE *out, char *name,
     FORCE_FORCE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* FORCE_PRINT_XML_H */

